Custom Form APIs
Custom Form APIs are used to retrieve, create, and update forms under a case. Custom Form API endpoints are created after a dynamic entity with at least one dynamic field is published. The entity ID is required and is embedded directly in the endpoint URLs, for example:

Before you can see a custom form's endpoints, a system administrator or Case IQ Support must add the custom form to the application. The following endpoints use {entity_id} as a placeholder.
1. List Custom Forms API
GET /api-public/1.0/dynamic_entity/{entity_id}
This endpoint retrieves a list of custom form records that the authenticated user is authorized to view.
Operation:
- The authenticated client sends a GET request with query parameters.
- The server returns an object containing records and count, where records contains the custom form records in the current page and count indicates how many records were returned.
Use query parameters to:
- Limit the number of records to return with limit
- List records before or after the given field value together with sort
- Control sort direction with order
- Limit the returned fields with fields
- Filter results by supported (string based) custom form fields, such as createdDate, someDynamicField, caseID, etc.
Typical Response (200 {entity_id} retrieved successfully):
{
"records": [
{
"id": "string",
"createdDate": "UTC time"
...
}
],
...
"count": integer
}Purpose:
- View existing custom form information.
- Find and query all custom form records meeting certain criteria.
2. Create Custom Form API
POST /dynamic_entity/{entity_id}
The request payload depends on the dynamic fields defined for the entity. However, caseId is required to create a custom form because all custom forms are created under a case. You can obtain the caseId after creating a case, see the instructions in Case APIs.
3. Retrieve Custom Form API
GET /dynamic_entity/{entity_id}/{form_id}
To retrieve a custom form, you need the form_id, which is returned when the custom form is created under a case.
4. Update a custom form
PUT (PATCH) /dynamic_entity/{entity_id}/{form_id}
Similar to retrieval, form_id is required to update a custom form. In addition, caseId is required, the same as when creating a form.
